2007-11-14 16:29  drobilla

	* lashd/alsa_mgr.c: Fix memory leak.

2007-08-22 11:20  drobilla

	* lashd/: alsa_mgr.c, alsa_mgr.h: Applied patch to fix Alsa Seq
	  event handling from Karsten Wiese.

2007-07-04 01:00  drobilla

	* configure.ac, liblash/Makefile.am: Update version.

2007-04-09 18:19  drobilla

	* pylash/Makefile.am: Pylash Makefile fix.

2007-04-08 23:32  drobilla

	* acinclude.m4, configure.ac, pylash/Makefile.am: Better Python
	  checks.

2007-04-08 22:38  drobilla

	* configure.ac: Fixed Python check.

2007-04-08 21:16  drobilla

	* acinclude.m4: Added missing acinclude.m4

2007-04-08 21:16  drobilla

	* pylash/: Makefile.am, lash.c, lash.h, lash.i, test.py: Added
	  Python bindings, for real this time!

2007-04-08 21:11  drobilla

	* Makefile.am, configure.ac: Added Python bindings.

2007-04-08 18:58  drobilla

	* lash/Makefile.am: Fixed headers missing from distribution
	  (missing '\').

2007-04-08 18:06  drobilla

	* .cvsignore, clients/.cvsignore, clients/control/.cvsignore,
	  clients/panel/.cvsignore, clients/save_button/.cvsignore,
	  clients/simple_client/.cvsignore, clients/synth/.cvsignore,
	  docs/.cvsignore, docs/lash-manual-html-one-page/.cvsignore,
	  docs/lash-manual-html-split/.cvsignore, icons/.cvsignore,
	  lash/.cvsignore, lashd/.cvsignore, liblash/.cvsignore,
	  m4/.cvsignore: Added .cvsignore files.

2007-04-08 17:19  drobilla

	* lashd/conn_mgr.c: Fix crash bug when trying to start multiple
	  lashd instances.

2007-04-08 17:12  drobilla

	* lashd/alsa_fport.c: Fixed alsa compile errors.

2007-04-08 17:06  drobilla

	* clients/panel/panel.c, clients/panel/project.c, lash/Makefile.am,
	  lash/internal_headers.h, lash/lash.h, lash/xmalloc.h,
	  liblash/args.c, liblash/file.c, liblash/xmalloc.c: Cleanup
	  installed headers (i.e. don't install unnecessary headers clients
	  shouldn't see).

2007-04-05 22:03  drobilla

	* configure.ac, lashd/server.c: Fixed reference to "cca" in debug
	  output.  Updated configure to check for required version of Jack.

2007-03-03 10:29  drobilla

	* clients/simple_client/simple_client.c, clients/synth/synth.c,
	  lashd/jack_mgr.c: Switched (deprecated) jack_client_new with
	  jack_client_open

2007-02-26 21:01  drobilla

	* NEWS, liblash/args.c, liblash/lash.c: Compiler error/warning
	  fixes.

2007-01-14 13:02  drobilla

	* liblash/lash.c: Type fix

2007-01-13 17:18  drobilla

	* configure.ac, clients/panel/project.c, lash/args.h,
	  lash/internal.h, lashd/client_event.c, lashd/conn_mgr.c,
	  lashd/main.c, lashd/project.c, lashd/server.c, lashd/store.c,
	  liblash/args.c, liblash/comm.c, liblash/lash.c, liblash/loader.c,
	  m4/readline.m4: Portability fixes (BSD, no Alsa).  Trivial code
	  cleanups, warning fixes.  Readline detection build system fixes.

2007-01-13 13:21  drobilla

	* configure.ac, clients/control/Makefile.am, m4/readline.m4:
	  Readline fixes.

2006-11-06 12:53  drobilla

	* configure.ac, lash-1.0.pc.in: Fixed pkgconfig file to only depend
	  on Alsa if necessary.

2006-10-17 04:01  drobilla

	* NEWS, docs/lash-manual.info, docs/lash-manual.texi.in,
	  liblash/lash.c: Switched LASH_START_SERVER for
	  LASH_NO_START_SERVER (with opposite semantics), for consistency
	  with Jack and to lower learning curve.

2006-10-08 13:06  drobilla

	* NEWS, configure.ac: Release preparation

2006-10-05 04:31  drobilla

	* docs/Makefile.am: Split manual by section instead of node (much
	  more readable).

2006-10-05 04:01  drobilla

	* NEWS, autogen.sh, configure.ac, docs/Makefile.am,
	  docs/lash-manual.info, docs/lash-manual.texi,
	  docs/lash-manual.texi.in, liblash/Makefile.am: Preparation for
	  0.5.2 release.

2006-09-21 15:15  drobilla

	* lash-configure-template, clients/simple_client/simple_client.c:
	  Fixed missing break; resulting in a double free bug.

2006-09-16 16:39  drobilla

	* configure.ac, lash-1.0.pc.in, docs/lash-manual.texi, lash/args.h,
	  lash/client.h, lash/config.h, lashd/Makefile.am,
	  lashd/conn_mgr.c, liblash/args.c, liblash/client.c,
	  liblash/comm.c, liblash/config.c, liblash/event.c,
	  liblash/lash.c, liblash/socket.c: Applied patch from larsl to
	  drop file desctiptors on server launch.  Applied Debian patch to
	  fix memory errors on 64-bit archs (supposedly..).  Applied Debian
	  patch to kill /etc/services requirement.  Fixed server auto
	  launch to work without /etc/services (debian patch broke it).

2006-09-06 16:31  drobilla

	* configure.ac: Fixed help text of configure to match parameter

2006-05-29 18:51  drobilla

	* liblash/lash.c: - Fixed bug where client didn't show up in server
	  interfaces - Fixed auto server start

2006-05-23 22:30  drobilla

	* lashd/: alsa_client.h, alsa_fport.h, alsa_mgr.h, alsa_patch.h,
	  server.h: Yet more ALSA fixes

2006-05-23 21:14  drobilla

	* configure.ac: Fixed Alsa detection for configure

2006-05-22 00:00  drobilla

	* docs/lash-manual.texi, lash/args.h, lash/client_interface.h,
	  liblash/args.c, liblash/comm.c, liblash/lash.c: Fixes for
	  lash_args (duplicated, documentation clarification, etc)

2006-05-21 22:11  drobilla

	* docs/lash-manual.texi, lash/client_interface.h, lash/types.h:
	  Added LASH_No_Start_Server option and exported lash_args_destroy
	  to API so clients don't have to leak memory every
	  lash_extract_args

2006-05-21 14:44  drobilla

	* configure.ac, clients/Makefile.am, clients/control/Makefile.am,
	  lashd/Makefile.am, lashd/alsa_client.h, lashd/alsa_fport.h,
	  lashd/alsa_mgr.h, lashd/alsa_patch.h, lashd/client.c,
	  lashd/client_event.c, lashd/main.c, lashd/project.c,
	  lashd/server.c, lashd/server.h, liblash/lash.c, m4/readline.m4: -
	  Support for building without ALSA - Readline build fixes - Fix
	  for daemon auto launching (prevent zombies patch from larsl)

2006-03-26 21:00  drobilla

	* Makefile.am, lash-configure-template: - Updated
	  lash-configure-template to use pkgconfig - Removed autogen.sh
	  from distribution tarballs

2006-03-26 20:53  drobilla

	* ChangeLog, ChangeLog.old, Makefile.am: Updated ChangeLog, broke
	  pre-0.5.0 changelog into a seperate file

2006-03-26 20:49  drobilla

	* AUTHORS, NEWS, README.SECURITY: [no log message]

2006-03-26 13:59  drobilla

	* clients/panel/panel.c: Made open dialog use default project dir

2006-03-26 13:48  drobilla

	* clients/panel/project.c: Made save dialog default to default
	  project directory

2006-03-26 12:21  drobilla

	* configure.ac, liblash/lash.c: Configure script cleanups

2006-03-24 19:47  drobilla

	* ChangeLog, NEWS, configure.ac, clients/panel/main.c,
	  clients/panel/panel.c, clients/panel/panel.h,
	  clients/panel/project.c, clients/panel/project.h,
	  docs/lash-manual.texi: Bumped copyright date and version number
	  for 0.5.1 release

2006-03-24 17:03  drobilla

	* icons/Makefile.am: Icons are now installed in
	  $(PREFIX)/share/lash/icons

2006-03-24 15:59  drobilla

	* docs/lash-manual.texi: Updated documentation

2006-03-24 15:52  drobilla

	* configure.ac, clients/Makefile.am,
	  clients/save_button/Makefile.am,
	  clients/save_button/save_button.c,
	  clients/save_button/save_button_2.0.c: Removed GTK1 support and
	  confusing "gtk_client_

2006-03-24 15:34  drobilla

	* autogen.sh, configure.ac: More descriptive configure output about
	  manual building

2006-03-24 14:22  drobilla

	* docs/lash-manual.texi, liblash/lash.c: Added server auto starting
	  support

2006-02-09 15:14  drobilla

	* clients/panel/project.c: Fixed project directory change button
	  label

2006-02-09 14:04  drobilla

	* clients/panel/project.c, lashd/project.c: Fix for project saving

2006-02-06 21:55  drobilla

	* docs/lash-manual.texi: Minor memory ownership clarification

2005-10-03 23:41  drobilla

	* Makefile.am, clients/control/lash_control.c, lash/internal.h,
	  lashd/conn_mgr.c, lashd/project.c, lashd/server.c, lashd/store.c,
	  liblash/comm_buffer.c, liblash/socket.c: Applied non-integer
	  configs patch from Mark Vitek, fixed some ununitialized vars
	  warnings

2005-09-23 12:41  drobilla

	* clients/panel/project.c: Removed invalid assert

2005-09-23 04:27  drobilla

	* clients/panel/: panel.c, project.c: Fixed a bug with resumed
	  clients showing up twice in the clients list

2005-09-19 07:53  drobilla

	* clients/synth/synth.c: Fixed jack port flags in synth

2005-09-19 07:47  drobilla

	* clients/synth/main.c: Made synth use same client name for Alsa
	  and Jack

2005-09-19 07:34  drobilla

	* NEWS, README, configure.ac, clients/panel/panel.c: Tweaked panel
	  slightly, updated README and NEWS

2005-09-19 06:17  drobilla

	* Makefile.am, configure.ac, icons/Makefile.am, icons/lash.svg,
	  icons/lash.xcf, icons/lash_16px.png, icons/lash_24px.png,
	  icons/lash_48px.png, icons/lash_96px.png: Added icons, removed
	  patches dir

2005-09-19 05:34  drobilla

	* clients/panel/panel.c, clients/panel/panel.h,
	  docs/lash-manual.texi: Added "no projects" label to lash_panel,
	  updated manual

2005-09-15 07:02  drobilla

	* clients/panel/panel.c: Added about dialog

2005-09-15 06:37  drobilla

	* clients/panel/project.c: Fixed label alignment in control panel

2005-09-15 06:18  drobilla

	* clients/panel/project.c: Layout tweaks of the control panel

2005-09-15 05:50  drobilla

	* clients/panel/: panel.c, project.c: GUI shinifications in the
	  panel client

2005-09-15 05:23  drobilla

	* ChangeLog, NEWS, lash-configure-template, docs/lash-manual.texi,
	  lash/protocol.h, lashd/project.c: Updated version numbers, URLs,
	  and dates throughout

2005-09-15 04:23  drobilla

	* clients/control/client.c, clients/control/lash_control.c,
	  clients/control/main.c, clients/control/project.c,
	  clients/panel/panel.c, clients/panel/project.c,
	  clients/save_button/hints.c, clients/save_button/save_button.c,
	  clients/simple_client/simple_client.c, clients/synth/interface.c,
	  clients/synth/lash.c, clients/synth/main.c,
	  clients/synth/synth.c, lash/config.h, lashd/alsa_client.c,
	  lashd/alsa_fport.c, lashd/alsa_mgr.c, lashd/alsa_patch.c,
	  lashd/client.c, lashd/client_event.c, lashd/conn.c,
	  lashd/conn_mgr.c, lashd/jack_fport.c, lashd/jack_mgr.c,
	  lashd/jack_mgr_client.c, lashd/jack_patch.c, lashd/main.c,
	  lashd/project.c, lashd/server.c, lashd/server_event.c,
	  lashd/store.c, liblash/args.c, liblash/client.c, liblash/comm.c,
	  liblash/comm_buffer.c, liblash/comm_event.c, liblash/config.c,
	  liblash/connect_params.c, liblash/event.c, liblash/exec_params.c,
	  liblash/file.c, liblash/lash.c, liblash/loader.c,
	  liblash/protocol.c, liblash/socket.c, liblash/xmalloc.c: Indented
	  entire source tree consistently

2005-09-15 04:18  drobilla

	* docs/lash-manual.texi: Updated documentation

2005-09-13 12:29  drobilla

	* clients/panel/project.c: Shuffled around widgets in control panel

2005-09-13 06:04  drobilla

	* clients/panel/main.c, clients/panel/panel.c,
	  clients/panel/panel.h, clients/panel/project.c,
	  clients/panel/project.h, lashd/project.c: Tidied up layour of
	  control panel window, removed unused code from panel

2005-09-13 01:22  drobilla

	* AUTHORS, COPYING, ChangeLog, INSTALL, Makefile.am, NEWS, README,
	  README.SECURITY, TODO, autogen.sh, common.am, configure.ac,
	  lash-1.0.pc.in, lash-configure-template, clients/Makefile.am,
	  clients/control/Makefile.am, clients/control/client.c,
	  clients/control/client.h, clients/control/lash_control.c,
	  clients/control/lash_control.h, clients/control/main.c,
	  clients/control/project.c, clients/control/project.h,
	  clients/panel/Makefile.am, clients/panel/main.c,
	  clients/panel/panel.c, clients/panel/panel.h,
	  clients/panel/project.c, clients/panel/project.h,
	  clients/save_button/Makefile.am, clients/save_button/hints.c,
	  clients/save_button/hints.h, clients/save_button/save_button.c,
	  clients/save_button/save_button_2.0.c,
	  clients/simple_client/Makefile.am,
	  clients/simple_client/simple_client.c, clients/synth/Makefile.am,
	  clients/synth/interface.c, clients/synth/interface.h,
	  clients/synth/lash.c, clients/synth/lash.h, clients/synth/main.c,
	  clients/synth/synth.c, clients/synth/synth.h, docs/Makefile.am,
	  docs/api-proposal.html, docs/fdl.texi, docs/lash-manual.texi,
	  docs/lash-manual-html-one-page/Makefile.am,
	  docs/lash-manual-html-split/Makefile.am, lash/Makefile.am,
	  lash/args.h, lash/client.h, lash/client_interface.h,
	  lash/comm_buffer.h, lash/comm_event.h, lash/config.h,
	  lash/connect_params.h, lash/debug.h, lash/event.h,
	  lash/exec_params.h, lash/file.h, lash/internal.h,
	  lash/internal_headers.h, lash/lash.h, lash/list.h, lash/loader.h,
	  lash/protocol.h, lash/server_client.h, lash/socket.h,
	  lash/types.h, lash/xmalloc.h, lashd/Makefile.am,
	  lashd/alsa_client.c, lashd/alsa_client.h, lashd/alsa_fport.c,
	  lashd/alsa_fport.h, lashd/alsa_mgr.c, lashd/alsa_mgr.h,
	  lashd/alsa_patch.c, lashd/alsa_patch.h, lashd/client.c,
	  lashd/client.h, lashd/client_event.c, lashd/client_event.h,
	  lashd/conn.c, lashd/conn.h, lashd/conn_mgr.c, lashd/conn_mgr.h,
	  lashd/globals.h, lashd/jack_fport.c, lashd/jack_fport.h,
	  lashd/jack_mgr.c, lashd/jack_mgr.h, lashd/jack_mgr_client.c,
	  lashd/jack_mgr_client.h, lashd/jack_patch.c, lashd/jack_patch.h,
	  lashd/lash-project-1.0.dtd, lashd/main.c, lashd/project.c,
	  lashd/project.h, lashd/server.c, lashd/server.h,
	  lashd/server_event.c, lashd/server_event.h, lashd/store.c,
	  lashd/store.h, liblash/Makefile.am, liblash/args.c,
	  liblash/client.c, liblash/comm.c, liblash/comm_buffer.c,
	  liblash/comm_event.c, liblash/config.c, liblash/connect_params.c,
	  liblash/event.c, liblash/exec_params.c, liblash/file.c,
	  liblash/lash.c, liblash/loader.c, liblash/protocol.c,
	  liblash/socket.c, liblash/xmalloc.c, m4/Makefile.am,
	  m4/aclocal-include.m4, m4/readline.m4: Initial checkin

